<?php

//ini_set('display_errors',1);



session_start();

date_default_timezone_set('America/Lima');

require_once ("../../config/Cado.php");

require_once ("../cuentapagar/cCuentapagar.php");

$oCuentapagar = new cCuentapagar();

require_once ("../proveedor/cProveedor.php");

$oProveedor = new cProveedor();

$fecha = date('Y-m-d');

require_once ("../formatos/formato.php");

require_once ("../formatos/fechas.php");



?>



<style>

	div#div_tabla { margin: 0 0; }

	div#div_tabla table { margin: 0 0; border-collapse: collapse; width: 100%; }

	div#div_tabla table td, div#div_tabla table th { border: 1px solid #eee; padding: 2px 3px; font-size:15px; }

	div#div_tabla table th { height:18px }

	div#div_tabla table td { height:17px }

</style>



<section class="content" id="table" style="min-height:0px;padding-bottom:0px;margin-bottom:-30px;">

  <div class="row">

    <div class="col-xs-12">

      <div class="box">

        <div class="box-body" id="div_tabla_proveedores">

		

		<a  class="btn btn-sm" style="background-color:#00897b;color:#fff;text-align:left" 

		href="../../files/cuentapagar/cuentapagarconsolidadasfecha_impcpe_doc.php?com=<?php echo $_POST['com'] ?>&comemi=<?php echo $_POST['comemi']?>

		&comven=<?php echo $_POST['comven'] ?>&comfec1=<?php echo $_POST['comfec1'] ?>&comfec2=<?php echo $_POST['comfec2']?>&comasc=<?php echo $_POST['comasc']?>

		&comdesc=<?php echo $_POST['comdesc'] ?>&letra=<?php echo $_POST['letra'] ?>&letraemi=<?php echo $_POST['letraemi']?>&letraven=<?php echo $_POST['letraven']?>

		&letrafec1=<?php echo $_POST['letrafec1'] ?>&letrafec2=<?php echo $_POST['letrafec2'] ?>&letraasc=<?php echo $_POST['letraasc']?>&letradesc=<?php echo $_POST['letradesc'] ?>" 

		target="_blank"><i class="fa fa-file-pdf-o"></i>  DESCARGAR E IMPRIMIR PDF</a>	

<?php 



 if($_POST['com']==1){

	

$tip = 1;



if($_POST['comemi']!==""){

	$por = '1';

}else if($_POST['comven']!==""){

	$por = '2';

}



if($_POST['comasc']!==""){

	$ord = '1';

}else if($_POST['comdesc']!==""){

	$ord = '2';

}



$dtsa = $oCuentapagar->cuentas_por_pagar_reporte_agru('','',$tip,$por,fecha_mysql($_POST['comfec1']),fecha_mysql($_POST['comfec2']),$ord);

$num_rows= mysql_num_rows($dtsa);

 

?>



        	 <div class="table-responsive" id="div_tabla">

			 

			 <div class="col-lg-12 col-xs-12" style="height:10px;"></div>

			 

          <table id="tabla_resumen_todos" class="table table-bordered table-striped">

           <thead>

			

			<tr class="header_row" style="font-weight:bold;font-size:16px;background-color:#eee;">

				<th colspan="4" >DOCUMENTO</th>

				<th colspan="2" >FECHAS</th>

				<th  >MORAS</th>

				<th colspan="3" >UBICACION</th>

				<th nowrap ></th>

				<th nowrap >TOTAL DOC.</th>

				<th nowrap >SALDO DOC.</th>

			</tr>

				

			<tr class="header_row" style="font-weight:bold;font-size:16px;">

				<th>PROVEEDOR</th>

				<th>EMPRESA</th>

				<th>TIPO</th>

				<th>NUMERO</th>

				<th>EMISION</th>

				<th>VENCIMIENTO</th>

				<th>DIAS</th>						

				<th>CONDICION</th>								

				<th>BANCO</th>								

				<th>CUENTA</th>	

				<th>MONEDA</th>	

				<th>IMPORTE</th>								

				<th>SALDO</th>					

			</tr>



		</thead>

         <tbody>	

		<?php

		if($num_rows>0){

		

		while($dta = mysql_fetch_array($dtsa))

		{ 			

		

	//	echo $dta['con'].'-';

	

		if($por==1){

			$lbl = 'TOTAL DE PAGOS SEGUN FECHA DE EMISION : ';

			$fe = mostrarFecha($dta['fecha']);

		}else if($por==2){

			$fe = mostrarFecha($dta['fechaven']);

			$lbl = 'TOTAL DE PAGOS SEGUN FECHA DE VENCIMIENTO : ';

		}

		

		

		$dts1 = $oCuentapagar->cuentas_por_pagar_reporte('','',$tip,$por,fecha_mysql($fe),$ord);

		$num_rowsf= mysql_num_rows($dts1);

		while($dt1 = mysql_fetch_array($dts1))

		{

	

			$mone_id =  $dt1['tb_moneda_id'];

		

			if($i==0){

			$fecant = $dt1['tb_compra_fec'];	

			}

			

			$total = $dt1['tb_comprapago_mon'] - $dt1['tb_comprapago_liq'];

			if($mone_id==1){

					$lbl_mone = 'S/ ';

					$total_soles += $total;

			}else if($mone_id==2){

					$lbl_mone = 'US$ ';

					$total_dolares += $total ;

			}

			

			if($dt1['tb_comprapago_fecven']!='0000-00-00'){

				$fecven = $dt1['tb_comprapago_fecven'];

				$dias = dias_transcurridos($fecha,$dt1['tb_comprapago_fecven']);

				if($dias<0){

					$dias = 0;

				}else{

					$dias = $dias ;

				}

			}else{

				$fecven='';

				$dias = '';

			}

					

			$dtsp = $oProveedor->filtrar_cuenta_primero($dt1['tb_proveedor_id']);

			$dt = mysql_fetch_array($dtsp);

			$banco = $dt['tb_banco_abr'];	

			$cuenta = $dt['tb_proveedorcuenta_nrocue'];	

			

			if($dt1['tb_comprapago_con']==1){

			$con = 'COBRANZAS';

		}else if($dt1['tb_comprapago_con']==2){

			$con = 'DESCUENTOS';

		}else if($dt1['tb_comprapago_con']==3){

			$con = 'CARTERAS';

		}else if($dt1['tb_comprapago_con']==0){

			$con = 'SIN CONDICION';

		}

					

		?>

			<tr class="even" data-dat = "<?php echo $dt1['tb_proveedor_id'].'- E'.$dt1['tb_empresa_id']; ?>"  data-comid ="<?php echo $dt1['tb_compra_id']?>" >

				<td align="left"><?php echo $dt1['tb_proveedor_alias']?></td>

				<td align="left"><?php echo $dt1['tb_empresa_nomcom']?></td>

				<td align="left"><?php echo $dt1['tb_documento_abr']?></td>

				<td align="left"><?php echo $dt1['tb_compra_numdoc']?></td>					

				<td nowrap align="left"><?php echo mostrarFecha($dt1['tb_compra_fec']); ?></td>					

				<td align="left"><?php echo mostrarFecha($fecven)?></td>					

				<td align="left"><?php echo $dias ; ?></td>												

				<td align="left"><?php echo $con ; ?></td>												

				<td align="left"><?php echo $banco; ?></td>					

				<td nowrap align="left"><?php echo $cuenta; ?></td>

				<td align="left"> <strong> <?php echo $lbl_mone; ?> </strong> </td>					

				<td align="right"><strong> <?php echo formato_money($dt1['tb_comprapago_mon']); ?> </strong> </td>							

				<td align="right"><strong> <?php echo formato_money($dt1['tb_comprapago_mon'] - $dt1['tb_comprapago_liq']); ?> </strong> </td>								           

			</tr>

		<?php 			

		} 

	

		?>		

		<tr class="" style="background-color:#80cbc4;" >

		<td colspan="6" align="right" ><?php echo $lbl; ?> <strong><?php echo $fe ?></strong> </td>

		<td colspan="7" align="right" > <strong><?php echo 'S/ '.formato_money($dta['soles'])?></strong> <span> | </span> <strong><?php echo 'US$ '.formato_money($dta['dolares'])?></strong> </td>

		</tr>

		<?php 

		}

		mysql_free_result($dts1); 

		

		}else{

			?>

			

			<tr>

			<td colspan="13" align="center" >No hay cuentas por pagar.</td>

			</tr>

			

			<?php 			

		}

		

	?>

		</tbody>



      </table>

	  	

	    </div>

 <?php 

 }

 ?>

    





	

	

	<?php 

	

 if($_POST['letra']==1){

	

$tiplet = 2;



if($_POST['letraemi']!==""){

	$porlet = '1';

}else if($_POST['letraven']!==""){

	$porlet = '2';

}



if($_POST['letraasc']!==""){

	$ordlet = '1';

}else if($_POST['letradesc']!==""){

	$ordlet = '2';

}

 

 //echo fecha_mysql($_POST['letrafec1']).'--'.fecha_mysql($_POST['letrafec2']);

 

$dtsa = $oCuentapagar->cuentas_por_pagar_reporte_agru('','',$tiplet,$porlet,fecha_mysql($_POST['letrafec1']),fecha_mysql($_POST['letrafec2']),$ordlet);

$num_rows= mysql_num_rows($dtsa);

 

?>



        	 <div class="table-responsive" id="div_tabla">

			 

			  <div class="col-lg-12 col-xs-12" style="height:10px;"></div>

			  

          <table id="tabla_resumen_todos" class="table table-bordered table-striped">

           <thead>

			

			<tr class="header_row" style="font-weight:bold;font-size:16px;background-color:#eee;">

				<th colspan="4" >DOCUMENTO</th>

				<th colspan="2" >FECHAS</th>

				<th >MORAS</th>

				<th colspan="3" >UBICACION</th>

				<th nowrap ></th>

				<th nowrap >TOTAL DOC.</th>

				<th nowrap >A RENOVAR</th>

				<th nowrap >SALDO DOC.</th>

			</tr>

				

			<tr class="header_row" style="font-weight:bold;font-size:16px;">

				<th>PROVEEDOR</th>

				<th>EMPRESA</th>

				<th>TIPO</th>

				<th>NUMERO</th>

				<th>EMISION</th>

				<th>VENCIMIENTO</th>

				<th>DIAS</th>						

				<th>BANCO</th>				

				<th>CONDICION</th>				

				<th>NUM. UNI.</th>

				<th>MONEDA</th>					

				<th>IMPORTE</th>				

				<th>RENOVAR</th>					

				<th>SALDO</th>

			</tr>



		</thead>

         <tbody>	

		<?php

		if($num_rows>0){

			

		while($dta = mysql_fetch_array($dtsa))

		{ 			

	

		if($porlet==1){

			$lbl = 'TOTAL DE PAGOS SEGUN FECHA DE EMISION : ';

			$fe = mostrarFecha($dta['fecha']);

		}else if($porlet==2){

			$fe = mostrarFecha($dta['fechaven']);

			$lbl = 'TOTAL DE PAGOS SEGUN FECHA DE VENCIMIENTO : ';

		}		

		 $dts1 = $oCuentapagar->cuentas_por_pagar_reporte('','',$tiplet,$porlet,fecha_mysql($fe),$ordlet);

		 $num_rowsf= mysql_num_rows($dts1);

		 while($dt1 = mysql_fetch_array($dts1))

		{

			$mone_id = $dt1['tb_moneda_id']	;	

			$total = $dt1['tb_comprapago_mon'] - $dt1['tb_comprapago_liq'];

			

			if($mone_id==1){

					$lbl_mone = 'S/ ';

					$total_soles += $total;

			}else if($mone_id==2){

					$lbl_mone = 'US$ ';

					$total_dolares += $total;

			}

			

			if($dt1['tb_banco_id']==0){

				$ban = '';

			}else if($dt1['tb_banco_id']==1){

				$ban = 'BCP';

			}else if($dt1['tb_banco_id']==2){

				$ban = 'BBVA';

			}else if($dt1['tb_banco_id']==3){

				$ban = 'SCT';

			}

			//echo $dt1['tb_comprapago_fecven'];

			if($dt1['tb_comprapago_fecven']!='0000-00-00'){

				$fecven = $dt1['tb_comprapago_fecven'];

				$dias = dias_transcurridos($fecha,$dt1['tb_comprapago_fecven']);

				if($dias<0){

					$dias = 0;

				}else{

					$dias = $dias ;

				}

			}else{

				$fecven='';

				$dias = '';

			}

			

		if($dt1['tb_comprapago_con']==1){

			$con = 'COBRANZAS';

		}else if($dt1['tb_comprapago_con']==2){

			$con = 'DESCUENTOS';

		}else if($dt1['tb_comprapago_con']==3){

			$con = 'CARTERAS';

		}else if($dt1['tb_comprapago_con']==0){

			$con = 'SIN CONDICION';

		}

			

			?>

			<tr class="even" data-dat = "<?php echo $dt1['tb_proveedor_id'].'- E'.$dt1['tb_empresa_id']; ?>"  data-comid ="<?php echo $dt1['tb_compra_id']?>" >

				<td align="left"><?php echo $dt1['tb_proveedor_alias']?></td>

				<td align="left"><?php echo $dt1['tb_empresa_nomcom']?></td>

				<td align="left"><?php echo $dt1['tb_documento_abr']?></td>

				<td align="left"><?php echo $dt1['tb_compra_numdoc']?></td>					

				<td nowrap align="left"><?php echo mostrarFecha($dt1['tb_compra_fec'])?></td>					

				<td align="left"><?php echo mostrarFecha($fecven)?></td>					

				<td align="left"><?php echo $dias; ?></td>										

				<td align="left"><?php echo $ban; ?></td>					

				<td nowrap align="left"><?php echo $con; ?></td>					

				<td align="left"><?php echo $dt1['tb_comprapago_numuni']; ?></td>

				<td align="left"> <strong> <?php echo $lbl_mone; ?> </strong> </td>	

				<td align="right"><strong> <?php echo formato_money($dt1['tb_comprapago_mon']); ?> </strong> </td>					

				<td align="right"><strong> <?php echo formato_money($dt1['tb_comprapago_liq']); ?> </strong> </td>								

				<td align="right"><strong> <?php echo formato_money($dt1['tb_comprapago_mon'] - $dt1['tb_comprapago_liq']); ?> </strong> </td>								

				

				           

			</tr>

		<?php 	

		} 

		

		?>

		<tr class="" style="background-color:#80cbc4;" >

		<td colspan="6" align="right" ><?php echo $lbl ?> <strong><?php echo $fe ?></strong></td>

		<td colspan="8" align="right" > <strong><?php echo 'S/ '.formato_money($dta['soles'])?></strong> <span> | </span> <strong><?php echo 'US$ '.formato_money($dta['dolares'])?></strong> </td>

		</tr>

		<?php 

		}

		mysql_free_result($dts1); 

		

		}else{

			?>

			

			<tr>

			<td colspan="14" align="center" >No hay cuentas por pagar.</td>

			</tr>

			

			<?php 			

		}

		

	?>

		</tbody>

			

      </table>

	    </div>

 <?php 

 }

 ?>

	

	

	

	</div>

  </div>

</div>

</div>

</section>